summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2016-11-03 09:17:26 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2016-11-03 09:19:36 +0100
commit7885d0144ab49984fa438ac7d71b178c677ea5e0 (patch)
tree5f5e27326f60186019e1386f8555b50635e465c8 /gnome-base/gnome-settings-daemon
parentnet-misc/spice-gtk: drop old (diff)
downloadgentoo-7885d0144ab49984fa438ac7d71b178c677ea5e0.tar.gz
gentoo-7885d0144ab49984fa438ac7d71b178c677ea5e0.tar.bz2
gentoo-7885d0144ab49984fa438ac7d71b178c677ea5e0.zip
gnome-base/gnome-settings-daemon: version bump 3.20.2 → 3.22.1
Package-Manager: portage-2.3.2
Diffstat (limited to 'gnome-base/gnome-settings-daemon')
-rw-r--r--gnome-base/gnome-settings-daemon/Manifest1
-rw-r--r--gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.22.0-optional.patch111
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.1.ebuild151
3 files changed, 263 insertions, 0 deletions
diff --git a/gnome-base/gnome-settings-daemon/Manifest b/gnome-base/gnome-settings-daemon/Manifest
index af820d4adce..34f95c605f7 100644
--- a/gnome-base/gnome-settings-daemon/Manifest
+++ b/gnome-base/gnome-settings-daemon/Manifest
@@ -1,3 +1,4 @@
DIST gnome-settings-daemon-3.18.3.tar.xz 1657000 SHA256 36e6170768ef17f5e089090f943ee93e632fa5abb64502a2f68a54974f08bf1f SHA512 2449bc2056887dbf00367bd064fc42ed416647b6533015626fe53160983ba6657554d5cc0f500cf4585ac30e73d8ac78595883cbf8390523d89e2614fb75b39b WHIRLPOOL 0784bdcc9b6d3e4ee919df83dbe19596c624ca948dcf199b7fb7a36aa3723fc60ed6c09692295ac6ae0150d4c81d66706aff4d1641ae8657e138892635b6a30a
DIST gnome-settings-daemon-3.20.1.tar.xz 1650928 SHA256 e84a075d895ca3baeefb8508e0a901027b66f7d5a7ee8c966e31d301b38e78e7 SHA512 4d8ec7c8d508a0dead00c08ef591c9814bf1c33d0016626c6cd5153bd2aad601ea1146b0e5617465ee276b44d8d622b664817a83e045cece69c2be76c5e33a84 WHIRLPOOL 14736006a40d4e84bebcc9c17eff8f3fa2c5db36e4ecb546d24a4db006479b6005f583aa9db31caa65988ba0b65beeabb1efa12b0b6a480cfb7e03f6f8e0f4cc
DIST gnome-settings-daemon-3.20.2.tar.xz 1620696 SHA256 1dd7a084449a2c240308d253f86d60f3efe25f59322c3f5ec3b9e2e9f5eabb45 SHA512 b23ac4cfc5c1fe4b1eeb4ba37cae448b2a23e11b988ae609c3d23168a9c22502829b68a4ab5fc8291bde91b429fcb4159c0f37bef78437838de6c6f3417817ed WHIRLPOOL 94463af0fcc3c3e36ded002e359aa1049d8a6171ae9b7edbf1e3ceeda5f1d2ee9389c09fa2929c2197b20a48fa613cc35fb31dc3eed30feec5f370868b1b4e49
+DIST gnome-settings-daemon-3.22.1.tar.xz 1622420 SHA256 b57d97cdd992263baffa78ccecbbf9f5a9771dd994f19687353d6eec4fd636ba SHA512 7afd550d5e018524e1aadad540d85816d4f42245af025356d079c28fe78754120b3b0d1de2746603331122659e1f43496d5a1160db069e4b1e9669c3404619b2 WHIRLPOOL d9cb415c3874ba9e650dbfc95d3482b83f6dab8ce2fb17a98e4c892230d8e82a34acb43bbb7fe2d620864d09a068dd32467f08063e7fe56a3589d30acfe83159
diff --git a/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.22.0-optional.patch b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.22.0-optional.patch
new file mode 100644
index 00000000000..3188337445f
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.22.0-optional.patch
@@ -0,0 +1,111 @@
+From 2aa9a92b06418642339cf27a3df5051f63eb8ddb Mon Sep 17 00:00:00 2001
+From: Ole Reifschneider <mail@ole-reifschneider.de>
+Date: Sat, 11 Apr 2015 23:10:21 +0200
+Subject: [PATCH] Make colord and wacom support optional
+
+---
+ configure.ac | 41 ++++++++++++++++++++++++++++++-----------
+ plugins/Makefile.am | 9 +++++++--
+ 2 files changed, 37 insertions(+), 13 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 6d9408a..628af0e 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -245,7 +245,17 @@ dnl ---------------------------------------------------------------------------
+ dnl - color
+ dnl ---------------------------------------------------------------------------
+
+-PKG_CHECK_MODULES(COLOR, [colord >= 1.0.2 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION libcanberra-gtk3 lcms2 >= $LCMS_REQUIRED_VERSION])
++AC_ARG_ENABLE([color],
++ AS_HELP_STRING([--disable-color],
++ [turn off color plugin]),
++ [],
++ [enable_color=yes])
++
++AS_IF([test "$enable_color" = "yes"],
++ [PKG_CHECK_MODULES(COLOR, [colord >= 1.0.2 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION libcanberra-gtk3 lcms2 >= $LCMS_REQUIRED_VERSION])
++ AC_DEFINE(HAVE_COLOR, 1, [Define if color plugin is enabled])
++ ])
++AM_CONDITIONAL(BUILD_COLOR, test "x$enable_color" = "xyes")
+
+ dnl ---------------------------------------------------------------------------
+ dnl - datetime
+@@ -270,22 +280,31 @@ case $host_os in
+ if test "$host_cpu" = s390 -o "$host_cpu" = s390x; then
+ have_wacom=no
+ else
+- if test x$enable_gudev != xno; then
+- PKG_CHECK_MODULES(LIBWACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION])
+- PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION libnotify >= $LIBNOTIFY_REQUIRED_VERSION pango >= $PANGO_REQUIRED_VERSION])
+- PKG_CHECK_MODULES(WACOM_OLED, [gudev-1.0])
+- else
+- AC_MSG_ERROR([GUdev is necessary to compile Wacom support])
+- fi
+- AC_DEFINE_UNQUOTED(HAVE_WACOM, 1, [Define to 1 if wacom support is available])
+- have_wacom=yes
++ have_wacom=no
++ AS_IF([test "$enable_gudev" != "no"],
++ [AC_ARG_ENABLE([wacom],
++ AS_HELP_STRING([--disable-wacom],
++ [turn off wacom plugin]),
++ [],
++ [enable_wacom=no]) dnl Default value
++ AS_IF([test "$enable_wacom" = "xyes"],
++ [
++ PKG_CHECK_MODULES(LIBWACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION])
++ PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION libnotify >= $LIBNOTIFY_REQUIRED_VERSION pango >= $PANGO_REQUIRED_VERSION])
++ PKG_CHECK_MODULES(WACOM_OLED, [gudev-1.0])
++ have_wacom=yes
++ AC_DEFINE_UNQUOTED(HAVE_WACOM, 1, [Define to 1 if wacom support is available])
++ ])
++ ], [
++ AC_MSG_ERROR([GUdev is necessary to compile Wacom support])
++ ])
+ fi
+ ;;
+ *)
+ have_wacom=no
+ ;;
+ esac
+-AM_CONDITIONAL(HAVE_WACOM, test x$have_wacom = xyes)
++AM_CONDITIONAL(BUILD_WACOM, test x$have_wacom = xyes)
+
+ dnl ==============================================
+ dnl smartcard section
+diff --git a/plugins/Makefile.am b/plugins/Makefile.am
+index 9324b40..ee78d6d 100644
+--- a/plugins/Makefile.am
++++ b/plugins/Makefile.am
+@@ -4,7 +4,6 @@ enabled_plugins = \
+ a11y-keyboard \
+ a11y-settings \
+ clipboard \
+- color \
+ datetime \
+ dummy \
+ power \
+@@ -22,13 +21,19 @@ enabled_plugins = \
+
+ disabled_plugins = $(NULL)
+
++if BUILD_COLOR
++enabled_plugins += color
++else
++disabled_plugins += color
++endif
++
+ if SMARTCARD_SUPPORT
+ enabled_plugins += smartcard
+ else
+ disabled_plugins += smartcard
+ endif
+
+-if HAVE_WACOM
++if BUILD_WACOM
+ enabled_plugins += wacom
+ else
+ disabled_plugins += wacom
+--
+2.10.1
+
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.1.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.1.ebuild
new file mode 100644
index 00000000000..feb400d9468
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.1.ebuild
@@ -0,0 +1,151 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit autotools eutils gnome2 python-any-r1 systemd udev virtualx
+
+DESCRIPTION="Gnome Settings Daemon"
+HOMEPAGE="https://git.gnome.org/browse/gnome-settings-daemon"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+colord +cups debug input_devices_wacom -openrc-force networkmanager policykit smartcard test +udev wayland"
+REQUIRED_USE="
+ input_devices_wacom? ( udev )
+ smartcard? ( udev )
+"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.37.7:2[dbus]
+ >=x11-libs/gtk+-3.15.3:3
+ >=gnome-base/gnome-desktop-3.11.1:3=
+ >=gnome-base/gsettings-desktop-schemas-3.20
+ >=gnome-base/librsvg-2.36.2:2
+ media-fonts/cantarell
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/libcanberra[gtk3]
+ >=media-sound/pulseaudio-2
+ >=sys-power/upower-0.99:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/libnotify-0.7.3:=
+ x11-libs/libX11
+ x11-libs/libxkbfile
+ x11-libs/libXi
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXtst
+ x11-libs/libXxf86misc
+ x11-misc/xkeyboard-config
+
+ >=app-misc/geoclue-2.3.1:2.0
+ >=dev-libs/libgweather-3.9.5:2=
+ >=sci-geosciences/geocode-glib-3.10
+ >=sys-auth/polkit-0.103
+
+ colord? (
+ >=media-libs/lcms-2.2:2
+ >=x11-misc/colord-1.0.2:= )
+ cups? ( >=net-print/cups-1.4[dbus] )
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.7
+ >=x11-libs/pango-1.20
+ x11-drivers/xf86-input-wacom
+ virtual/libgudev:= )
+ networkmanager? ( >=net-misc/networkmanager-1.0 )
+ smartcard? ( >=dev-libs/nss-3.11.2 )
+ udev? ( virtual/libgudev:= )
+ wayland? ( dev-libs/wayland )
+"
+# Themes needed by g-s-d, gnome-shell, gtk+:3 apps to work properly
+# <gnome-color-manager-3.1.1 has file collisions with g-s-d-3.1.x
+# <gnome-power-manager-3.1.3 has file collisions with g-s-d-3.1.x
+# systemd needed for power and session management, bug #464944
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/dconf
+ !openrc-force? ( sys-apps/systemd )
+ !<gnome-base/gnome-control-center-2.22
+ !<gnome-extra/gnome-color-manager-3.1.1
+ !<gnome-extra/gnome-power-manager-3.1.3
+"
+# xproto-7.0.15 needed for power plugin
+# FIXME: tests require dbus-mock
+DEPEND="${COMMON_DEPEND}
+ cups? ( sys-apps/sed )
+ test? (
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+ gnome-base/gnome-session )
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ sys-devel/gettext
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ x11-proto/inputproto
+ x11-proto/xf86miscproto
+ >=x11-proto/xproto-7.0.15
+"
+
+python_check_deps() {
+ use test && has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # Make colord and wacom optional; requires eautoreconf
+ eapply "${FILESDIR}"/${PN}-3.22.0-optional.patch
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --enable-man \
+ $(use_enable colord color) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable debug more-warnings) \
+ $(use_enable networkmanager network-manager) \
+ $(use_enable smartcard smartcard-support) \
+ $(use_enable udev gudev) \
+ $(use_enable input_devices_wacom wacom) \
+ $(use_enable wayland)
+}
+
+src_test() {
+ virtx emake check
+}
+
+src_install() {
+ gnome2_src_install udevrulesdir="$(get_udevdir)"/rules.d #509484
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! systemd_is_booted; then
+ ewarn "${PN} needs Systemd to be *running* for working"
+ ewarn "properly. Please follow the this guide to migrate:"
+ ewarn "https://wiki.gentoo.org/wiki/Systemd"
+ fi
+
+ if use openrc-force; then
+ ewarn "You are enabling 'openrc-force' USE flag to skip systemd requirement,"
+ ewarn "this can lead to unexpected problems and is not supported neither by"
+ ewarn "upstream neither by Gnome Gentoo maintainers. If you suffer any problem,"
+ ewarn "you will need to disable this USE flag system wide and retest before"
+ ewarn "opening any bug report."
+ fi
+}